using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GrowingPanel : MonoBehaviour {


    CellConnection connectionToParent;
    BaseCell parent;
    [HideInInspector][SerializeField] GrowingButton[] buttons;

    void OnValidate()
    {
        buttons = GetComponentsInChildren<GrowingButton>();
    }

    public void Initialize(BaseCell parent, CellConnection connection)
    {
        this.connectionToParent = connection;
        this.parent = parent;

        foreach (var button in buttons)
        {
            button.Initialize(parent, connection);
        }
    }
}
